=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2006-03-09 07:59:36 +0000
+++ bzrlib/builtins.py	2006-03-09 14:40:12 +0000
@@ -1952,7 +1952,7 @@
         tree, file_list = tree_files(file_list)
         if revision is None:
             # FIXME should be tree.last_revision
-            rev_id = tree.branch.last_revision()
+            rev_id = tree.last_revision()
         elif len(revision) != 1:
             raise BzrCommandError('bzr revert --revision takes exactly 1 argument')
         else:

=== modified file 'bzrlib/tests/blackbox/test_revert.py'
--- bzrlib/tests/blackbox/test_revert.py	2006-01-24 16:11:42 +0000
+++ bzrlib/tests/blackbox/test_revert.py	2006-03-09 14:40:12 +0000
@@ -61,3 +61,14 @@
         # test case for bug #29424:
         # revert to specific revision for file in subdir does not work
         self.helper('-r 1')
+
+    def test_revert_in_checkout(self):
+        os.mkdir('brach')
+        os.chdir('brach')
+        self._prepare_tree()
+        self.runbzr('checkout --lightweight . ../sprach')
+        self.runbzr('commit -m more')
+        os.chdir('../sprach')
+        self.assertEqual('', self.capture('status'))
+        self.runbzr('revert')
+        self.assertEqual('', self.capture('status'))

